import Monad from './src/Monad.js';
// Using the managed query method
async function runQuery() {
    try {
        const response = await monad.query("How does the stock market work?");
        console.log("Query response:", response);
    } catch (error) {
        console.error("Query failed:", error);
    }
}

// Directly using the openai client through monad.openai
async function listAssistants() {
    try {
        const myAssistants = await monad.openai.assistants.list({
            order: "desc",
            limit: "20",
        });
        console.log(myAssistants.data);
    } catch (error) {
        console.error("Failed to list assistants:", error);
    }
}

runQuery();
listAssistants();
